---
type: api
title: Batch delete rollup and summary data
description: The deletion occurs for the specified list of `sloId` and `instanceId`. You must have `all` privileges for the **SLOs** feature in the **Observability** section of the Kibana feature privileges.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deletesloinstancesop
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-deletesloinstancesop
products:
  - Kibana
---

# Batch delete rollup and summary data

- Server: `https://{kibana_url}`

## Paths

- `POST` `/s/{spaceId}/api/observability/slos/_delete_instances`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `spaceId` (string)
  An identifier for the space. If `/s/` and the identifier are omitted from the path, the default space is used.

## Description

The deletion occurs for the specified list of `sloId` and `instanceId`. You must have `all` privileges for the **SLOs** feature in the **Observability** section of the Kibana feature privileges.

## Request Body

`application/json`

- `list` ([] object) — required
  An array of slo id and instance id
  - `instanceId` (string) — required
    The SLO instance identifier
  - `sloId` (string) — required
    The SLO unique identifier

## Responses

#### `204`

Successful request

#### `400`

Bad request

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `401`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
#### `403`

Unauthorized response

`application/json`

- `error` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
POST /s/{spaceId}/api/observability/slos/_delete_instances
```

#### curl

```curl
curl -X POST "https://{kibana_url}/s/{spaceId}/api/observability/slos/_delete_instances" \
  -H "kbn-xsrf: true"
```

